Bug 1247894 - There are messy code in jenkins console output page
There are messy code in jenkins console output page
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Image (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ben Parees
Wenjing Zheng
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 03:55 EDT by XiuJuan Wang
Modified: 2015-09-08 16:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 16:13:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiuJuan Wang 2015-07-29 03:55:40 EDT
Description of problem:
There are messy code in jenkins console output page
I0729 07:33:11.071962       1 sti.go:393] express@4.13.1 node_modules/express
I0729 07:33:11.072030       1 sti.go:393] ��������� merge-descriptors@1.0.0
I0729 07:33:11.072262       1 sti.go:393] ��������� array-flatten@1.1.0
I0729 07:33:11.072457       1 sti.go:393] ��������� escape-html@1.0.2
I0729 07:33:11.072646       1 sti.go:393] ��������� cookie@0.1.3
I0729 07:33:11.072835       1 sti.go:393] ��������� utils-merge@1.0.0
I0729 07:33:11.073022       1 sti.go:393] ��������� cookie-signature@1.0.6
I0729 07:33:11.073215       1 sti.go:393] ��������� methods@1.1.1
I0729 07:33:11.073400       1 sti.go:393] ��������� fresh@0.3.0
I0729 07:33:11.073586       1 sti.go:393] ��������� range-parser@1.0.2
I0729 07:33:11.073987       1 sti.go:393] ��������� path-to-regexp@0.1.6
I0729 07:33:11.074053       1 sti.go:393] ��������� vary@1.0.1
I0729 07:33:11.074249       1 sti.go:393] ��������� etag@1.7.0
I0729 07:33:11.074434       1 sti.go:393] ��������� content-type@1.0.1
I0729 07:33:11.074833       1 sti.go:393] ��������� parseurl@1.3.0
I0729 07:33:11.074900       1 sti.go:393] ��������� content-disposition@0.5.0
I0729 07:33:11.075100       1 sti.go:393] ��������� serve-static@1.10.0
I0729 07:33:11.084089       1 sti.go:393] ��������� depd@1.0.1
I0729 07:33:11.084098       1 sti.go:393] ��������� finalhandler@0.4.0 (unpipe@1.0.0)
I0729 07:33:11.084103       1 sti.go:393] ��������� on-finished@2.3.0 (ee-first@1.1.1)
I0729 07:33:11.084106       1 sti.go:393] ��������� qs@4.0.0
I0729 07:33:11.084110       1 sti.go:393] ��������� debug@2.2.0 (ms@0.7.1)
I0729 07:33:11.084115       1 sti.go:393] ��������� proxy-addr@1.0.8 (forwarded@0.1.0, ipaddr.js@1.0.1)
I0729 07:33:11.084119       1 sti.go:393] ��������� send@0.13.0 (destroy@1.0.3, statuses@1.2.1, ms@0.7.1, mime@1.3.4, http-errors@1.3.1)
I0729 07:33:11.084123       1 sti.go:393] ��������� type-is@1.6.5 (media-typer@0.3.0, mime-types@2.1.3)
I0729 07:33:11.084127       1 sti.go:393] ��������� accepts@1.2.11 (negotiator@0.5.3, mime-types@2.1.3)
I0729 07:33:11.084131       1 sti.go:393] 
I0729 07:33:11.084135       1 sti.go:393] mongodb@2.0.39 node_modules/mongodb
I0729 07:33:11.084139       1 sti.go:393] ��������� readable-stream@1.0.31 (inherits@2.0.1, isarray@0.0.1, string_decoder@0.10.31, core-util-is@1.0.1)
I0729 07:33:11.084143       1 sti.go:393] ��������� es6-promise@2.1.1
I0729 07:33:11.084146       1 sti.go:393] ��������� mongodb-core@1.2.6 (bson@0.4.8, kerberos@0.0.12)
E0729 07:33:11.084205       1 sti.go:419] npm info ok 
E0729 07:33:11.084252       1 sti.go:419] info install nodejs-ex@0.0.1
E0729 07:33:11.084266       1 sti.go:419] npm info postinstall nodejs-ex@0.0.1
E0729 07:33:11.084290       1 sti.go:419] npm info prepublish nodejs-ex@0.0.1
E0729 07:33:11.084314       1 sti.go:419] npm info ok 


Version-Release number of selected component (if applicable):
jenkins-16-centos7 (c36eb8165142)

How reproducible:
always

Steps to Reproduce:
1.Create jenkins server and  app following https://github.com/openshift/origin/blob/master/examples/jenkins/README.md
2.Trigger a build from jenkins webconsole
3.Check build logs in console output page


Actual results:
As description

Expected results:
Should show correct log

I0729 07:33:11.071962       1 sti.go:393] express@4.13.1 node_modules/express
I0729 07:33:11.072030       1 sti.go:393] ├── merge-descriptors@1.0.0
I0729 07:33:11.072262       1 sti.go:393] ├── array-flatten@1.1.0
I0729 07:33:11.072457       1 sti.go:393] ├── escape-html@1.0.2
I0729 07:33:11.072646       1 sti.go:393] ├── cookie@0.1.3
I0729 07:33:11.072835       1 sti.go:393] ├── utils-merge@1.0.0
I0729 07:33:11.073022       1 sti.go:393] ├── cookie-signature@1.0.6
I0729 07:33:11.073215       1 sti.go:393] ├── methods@1.1.1
I0729 07:33:11.073400       1 sti.go:393] ├── fresh@0.3.0
I0729 07:33:11.073586       1 sti.go:393] ├── range-parser@1.0.2
I0729 07:33:11.073987       1 sti.go:393] ├── path-to-regexp@0.1.6
I0729 07:33:11.074053       1 sti.go:393] ├── vary@1.0.1
I0729 07:33:11.074249       1 sti.go:393] ├── etag@1.7.0
I0729 07:33:11.074434       1 sti.go:393] ├── content-type@1.0.1
I0729 07:33:11.074833       1 sti.go:393] ├── parseurl@1.3.0
I0729 07:33:11.074900       1 sti.go:393] ├── content-disposition@0.5.0
I0729 07:33:11.075100       1 sti.go:393] ├── serve-static@1.10.0
I0729 07:33:11.084089       1 sti.go:393] ├── depd@1.0.1
I0729 07:33:11.084098       1 sti.go:393] ├── finalhandler@0.4.0 (unpipe@1.0.0)
I0729 07:33:11.084103       1 sti.go:393] ├── on-finished@2.3.0 (ee-first@1.1.1)
I0729 07:33:11.084106       1 sti.go:393] ├── qs@4.0.0
I0729 07:33:11.084110       1 sti.go:393] ├── debug@2.2.0 (ms@0.7.1)
I0729 07:33:11.084115       1 sti.go:393] ├── proxy-addr@1.0.8 (forwarded@0.1.0, ipaddr.js@1.0.1)
I0729 07:33:11.084119       1 sti.go:393] ├── send@0.13.0 (destroy@1.0.3, statuses@1.2.1, ms@0.7.1, mime@1.3.4, http-errors@1.3.1)
I0729 07:33:11.084123       1 sti.go:393] ├── type-is@1.6.5 (media-typer@0.3.0, mime-types@2.1.3)
I0729 07:33:11.084127       1 sti.go:393] └── accepts@1.2.11 (negotiator@0.5.3, mime-types@2.1.3)

Additional info:
Comment 1 Ben Parees 2015-07-29 22:58:50 EDT
https://github.com/openshift/jenkins/pull/13
Comment 2 Ben Parees 2015-07-30 23:51:02 EDT
https://github.com/openshift/jenkins/pull/14
Comment 3 XiuJuan Wang 2015-08-02 23:22:36 EDT
This issue has been fixed with docker.io/openshift/jenkins-16-centos7(89d1b7c5f976)
Thanks!

Note You need to log in before you can comment on or make changes to this bug.